FacesBeanValidator (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.validator.FacesBeanValidator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class FacesBeanValidator

    java.lang.Object
      org.richfaces.validator.FacesBeanValidator

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.faces.validator.Validator, org.richfaces.validator.GraphValidator, org.richfaces.validator.NullValueValidator

    public class FacesBeanValidator

extends java.lang.Object
implements org.richfaces.validator.NullValueValidator, java.io.Serializable, org.richfaces.validator.GraphValidator

Implementation of the JSF validator to use with Bean Validation / Hibernate validator

Author:
  asmirnov
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BEAN_VALIDATOR_TYPE`

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`FacesBeanValidator()`

Method Summary
`java.util.Set<java.lang.String>` | `getProfiles()`
`java.lang.String` | `getSummary()`
`void` | `setProfiles(java.lang.Object profiles)`
`void` | `setProfiles(javax.el.ValueExpression profilesExpression)`
`void` | `setSummary(java.lang.String summary)`
`void` | `setSummary(javax.el.ValueExpression summary)`
`void` | `validate(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object convertedValue)`
`java.util.Collection<java.lang.String>` | `validateGraph(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value, java.lang.Object profiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN_VALIDATOR_TYPE

    public static final java.lang.String BEAN_VALIDATOR_TYPE

See Also:
  Constant Field Values

Constructor Detail

### FacesBeanValidator

    public FacesBeanValidator()

Method Detail

### getSummary

    public java.lang.String getSummary()

  Returns:
    the summary

### setSummary

    public void setSummary(javax.el.ValueExpression summary)

  Parameters:
    `summary` - the summary to set

### setSummary

    public void setSummary(java.lang.String summary)

  Parameters:
    `summary` - the summary to set

### validate

    public void validate(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         java.lang.Object convertedValue)
                  throws javax.faces.validator.ValidatorException

  Specified by:
    `validate` in interface `javax.faces.validator.Validator`
  Throws:
    `javax.faces.validator.ValidatorException`

### validateGraph

    public java.util.Collection<java.lang.String> validateGraph(javax.faces.context.FacesContext context,
                                                                javax.faces.component.UIComponent component,
                                                                java.lang.Object value,
                                                                java.lang.Object profiles)
                                                         throws javax.faces.validator.ValidatorException

  Specified by:
    `validateGraph` in interface `org.richfaces.validator.GraphValidator`
  Throws:
    `javax.faces.validator.ValidatorException`

### getProfiles

    public java.util.Set<java.lang.String> getProfiles()

  Returns:
    the profiles

### setProfiles

    public void setProfiles(java.lang.Object profiles)

  Parameters:
    `profiles` - the profiles to set

### setProfiles

    public void setProfiles(javax.el.ValueExpression profilesExpression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.